<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
        <meta name="description" content="" />
        <meta name="author" content="" />
        <title>Tradespace - Accounts</title>
        <!-- Favicon-->
        <link rel="icon" type="image/x-icon" href="assets/favicon.ico" />
        <!-- Core theme CSS -->
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css" integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link href="/css/sidebar.css" rel="stylesheet" />
    </head>
    <body>
        <div class="d-flex" id="wrapper">
            <!-- Sidebar-->
            <div class="border-end bg-white" id="sidebar-wrapper">
                <div class="list-group list-group-flush">
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="/profile.html">Profile</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3 active" href="/accounts.html">Accounts</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="/transfer.html">Transfer</a>
                    <a class="list-group-item list-group-item-action list-group-item-light p-3" href="/transactions.html">Transactions</a>
                    <div class="p-3 h6" style="font-size: 0.8rem">Tradespace &copy; 2023</div>
                </div>
            </div>
            <!-- Page content wrapper-->
            <div id="page-content-wrapper">
                <!-- Top navigation-->
                <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
                    <div class="container-fluid">
                        <a class="navbar-brand fw-500" href="#">Tradespace - A Global Money Platform</a>
                        <button class="btn btn-primary" id="sidebarToggle">Hide Menu</button>
                    </div>
                </nav>
                <!-- Page content-->
                <div class="container mt-5">

                    <div id="tradeAccounts" class="mb-5">
                        <div class="row justify-content-center">
                            <div class="col-10 offset-col-md-2">
                                <h4 id="tradeAccountTitle">Tradespace Accounts</h4>
                                <table class="table">
                                    <thead class="">
                                        <tr>
                                            <th scope="col">Currency</th>
                                            <th scope="col">Account Number</th>
                                            <th scope="col">Available Balance</th>
                                            <th scope="col">Total Balance</th>
                                            <th scope="col"></th>
                                        </tr>
                                    </thead>
                                    <tbody id="platform_account_summary">
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row justify-content-center mt-3">
                            <div class="col-10">
                                <a href="/onboarding/new_account" class="btn btn-primary">Open New Account</a>
                            </div>
                        </div>
                    </div>

                    <div id="sourceAccounts">
                        <div class="row justify-content-center">
                            <div class="col-10">
                                <h4 id="sourceAccountTitle">Sourcing Accounts</h4>
                                <table class="table">
                                    <thead class="">
                                        <tr>
                                            <th scope="col">Bank</th>
                                            <th scope="col">Country</th>
                                            <th scope="col">Routing Number</th>
                                            <th scope="col">Currency</th>
                                            <th scope="col">Account No.</th>
                                            <th scope="col"></th>
                                        </tr>
                                    </thead>
                                    <tbody id="source_account_summary">
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="row justify-content-center mt-3">
                            <div class="col-10">
                                <a href="/onboarding/source_account" class="btn btn-primary">Link External Account</a>
                            </div>
                        </div>
                    </div>

                </div>
            </div>

            <div class="modal fade" id="sourceEditModal" tabindex="-1" aria-labelledby="sourceEditModal" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-lg">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="sourceEditModalLabel">Edit a Sourcing Account</h5>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div class="container-fluid">
                                <div class="row g-2">
                                    <div class="col">
                                        <label for="sourceBankCountry" class="form-label">Bank Country</label>
                                        <select id="sourceBankCountry" class="form-control" autocomplete="on">
                                        </select>
                                    </div>
                                    <div class="col">
                                        <label for="sourceBankName" class="form-label">Institution Name</label>
                                        <select id="sourceBankName" class="form-control" autocomplete="on">
                                            <option selected disabled>ACME Financial Ltd.</option>
                                        </select>
                                    </div>
                                    <div class="col">
                                        <label for="sourceRouting" class="form-label">Routing Number</label>
                                        <input type="text" id="sourceRouting" class="form-control">
                                        <small class="form-text text-muted">Contact your bank to retrieve this info.</small>
                                    </div>
                                </div>
                                <div class="row g-2">
                                    <div class="col">
                                        <label for="sourceCurrency" class="form-label">Currency</label>
                                        <select id="sourceCurrency" class="form-control" autocomplete="on">
                                        </select>
                                    </div>
                                    <div class="col">
                                        <label for="sourceAccount" class="form-label">Account</label>
                                        <input type="text" id="sourceAccount" class="form-control">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer border-0">
                            <button id="sourceEditRemoveBtn" class="btn btn-danger" data-bs-dismiss="modal">Remove</button>
                            <button id="sourceEditSaveBtn" class="btn btn-primary" data-bs-dismiss="modal">Save</button>
                            <button class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>

        </div>

        <!-- Bootstrap core JS-->
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        <!-- Core theme JS-->
        <script src="/js/sidebar.js"></script>
        <script src="/js/accounts.js"></script>
    </body>
</html>
